diff --git a/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/sru/SruServiceWrapper.java b/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/sru/SruServiceWrapper.java
index d7e9993d51..c99c394f82 100644
--- a/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/sru/SruServiceWrapper.java
+++ b/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/sru/SruServiceWrapper.java
@@ -1,9 +1,9 @@
 // $Id$
 /**
 * Copyright (C) 2009 EDIT
-* European Distributed Institute of Taxonomy 
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-* 
+*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
@@ -18,7 +18,6 @@ import java.util.HashMap;
 import java.util.List;
 import java.util.Map;
 
-import org.apache.http.HttpException;
 import org.apache.http.NameValuePair;
 import org.apache.http.message.BasicNameValuePair;
 
@@ -33,9 +32,9 @@ import eu.etaxonomy.cdm.model.reference.Reference;
  *
  */
 public class SruServiceWrapper extends ServiceWrapperBase<Reference> {
-	
+
 	private String sruVersion = "1.1";
-	
+
 	/**
 	 * The GRIB sru service is available at "http://gso.gbv.de/sru/DB=1.83/"
 	 * The documentation is found at http://bhleurope.gbv.de/#sru from where the following text has been retrieved:
@@ -56,52 +55,49 @@ public class SruServiceWrapper extends ServiceWrapperBase<Reference> {
 	 * </dl>
 	 * </p>
 	 * @param cqlQuery
-	 *            an <b>URL encoded</b> CQL Query string see 
+	 *            an <b>URL encoded</b> CQL Query string see
 	 *            {@link http://www.loc.gov/standards/sru/specs/cql.html} for documentation
 	 * @param recordSchema
 	 * @return
 	 */
 	public List<Reference> doSearchRetrieve(String cqlQuery, String recordSchema){
-		
+
 		List<NameValuePair> pairs = new ArrayList<NameValuePair>();
-		
+
 		SchemaAdapterBase<Reference> schemaAdapter = schemaAdapterMap.get(recordSchema);
 		if(schemaAdapter == null){
 			logger.error("No SchemaAdapter found for " + recordSchema);
 		}
-		
+
 		String sruOperation = "searchRetrieve";
-		
+
 		pairs.add(new BasicNameValuePair("operation", sruOperation));
 		pairs.add(new BasicNameValuePair("version", sruVersion));
 		pairs.add(new BasicNameValuePair("query", cqlQuery));
 		pairs.add(new BasicNameValuePair("recordSchema", recordSchema));
-		
+
 		Map<String, String> requestHeaders = new HashMap<String, String>();
 		requestHeaders.put("Accept-Charset", "UTF-8");
-		
+
 		try {
 			URI requestUri = createUri(null, pairs);
-			
-			
+
+
 			InputStream stream = executeHttpGet(requestUri, requestHeaders);
 			return schemaAdapter.getCmdEntities(stream);
-			
-		} catch (IOException e) { 
+
+		} catch (IOException e) {
 			// thrown by doHttpGet
 			logger.error(e);
 		} catch (URISyntaxException e) {
 			// thrown by createUri
 			logger.error(e);
-		} catch (HttpException e) {
-			// thrown by executeHttpGet
-			logger.error(e);
-		} 
-		
+		}
+
 		return null;
-		
+
 	}
-	
-	
-	
+
+
+
 }
diff --git a/cdmlib-ext/src/test/java/eu/etaxonomy/cdm/ext/biocase/BioCaseQueryServiceWrapperTest.java b/cdmlib-ext/src/test/java/eu/etaxonomy/cdm/ext/biocase/BioCaseQueryServiceWrapperTest.java
new file mode 100644
index 0000000000..78d8305d38
--- /dev/null
+++ b/cdmlib-ext/src/test/java/eu/etaxonomy/cdm/ext/biocase/BioCaseQueryServiceWrapperTest.java
@@ -0,0 +1,53 @@
+// $Id$
+/**
+* Copyright (C) 2013 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.ext.biocase;
+
+import java.io.BufferedReader;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.InputStreamReader;
+import java.net.URISyntaxException;
+
+import junit.framework.TestCase;
+
+import org.apache.http.client.ClientProtocolException;
+import org.junit.Test;
+
+/**
+ * @author pplitzner
+ * @date 16.09.2013
+ *
+ */
+public class BioCaseQueryServiceWrapperTest extends TestCase{
+
+    @Test
+    public void testQuery() {
+        BioCaseQueryServiceWrapper queryService = new BioCaseQueryServiceWrapper();
+        try {
+            BioCaseQuery query = new BioCaseQuery();
+            query.taxonName = "Campanula*";
+            InputStream response = queryService.query(query);
+            BufferedReader reader = new BufferedReader(new InputStreamReader(response));
+            String line = null;
+            do {
+                if(line!=null){
+                    System.out.println(line);
+                }
+                line = reader.readLine();
+            } while (line!=null);
+        } catch (ClientProtocolException e) {
+            fail(e.getMessage());
+        } catch (IOException e) {
+            fail(e.getMessage());
+        } catch (URISyntaxException e) {
+            fail(e.getMessage());
+        }
+    }
+}
diff --git a/cdmlib-ext/src/test/java/eu/etaxonomy/cdm/ext/geo/EditGeoServiceTest.java b/cdmlib-ext/src/test/java/eu/etaxonomy/cdm/ext/geo/EditGeoServiceTest.java
index 3803c046f8..9b4515f9d4 100644
--- a/cdmlib-ext/src/test/java/eu/etaxonomy/cdm/ext/geo/EditGeoServiceTest.java
+++ b/cdmlib-ext/src/test/java/eu/etaxonomy/cdm/ext/geo/EditGeoServiceTest.java
@@ -36,10 +36,12 @@ import org.junit.Before;
 import org.junit.Test;
 import org.unitils.spring.annotation.SpringBeanByType;
 
+import eu.etaxonomy.cdm.api.service.ITermService;
 import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.common.StreamUtils;
 import eu.etaxonomy.cdm.common.UriUtils;
 import eu.etaxonomy.cdm.model.common.Language;
+import eu.etaxonomy.cdm.model.common.TermType;
 import eu.etaxonomy.cdm.model.common.TermVocabulary;
 import eu.etaxonomy.cdm.model.description.AbsenceTerm;
 import eu.etaxonomy.cdm.model.description.Distribution;
@@ -48,14 +50,12 @@ import eu.etaxonomy.cdm.model.description.PresenceTerm;
 import eu.etaxonomy.cdm.model.location.NamedArea;
 import eu.etaxonomy.cdm.model.location.NamedAreaLevel;
 import eu.etaxonomy.cdm.model.location.NamedAreaType;
-import eu.etaxonomy.cdm.model.location.TdwgArea;
 import eu.etaxonomy.cdm.persistence.dao.common.IDefinedTermDao;
 import eu.etaxonomy.cdm.test.integration.CdmIntegrationTest;
 
 /**
  * @author a.mueller
  * @created 08.10.2008
- * @version 1.0
  */
 public class EditGeoServiceTest extends CdmIntegrationTest {
     @SuppressWarnings("unused")
@@ -66,6 +66,9 @@ public class EditGeoServiceTest extends CdmIntegrationTest {
 
     //@SpringBeanByType
     private IDefinedTermDao termDao;
+    
+    @SpringBeanByType
+    private ITermService termService;
 
     @SpringBeanByType
     private GeoServiceAreaAnnotatedMapping mapping;
@@ -80,13 +83,6 @@ public class EditGeoServiceTest extends CdmIntegrationTest {
 //		initializer.initialize();
 //	}
 
-    /**
-     * @throws java.lang.Exception
-     */
-    @AfterClass
-    public static void tearDownAfterClass() throws Exception {
-    }
-
     /**
      * @throws java.lang.Exception
      */
@@ -97,24 +93,18 @@ public class EditGeoServiceTest extends CdmIntegrationTest {
         editMapServiceUri = new URI(EDIT_MAPSERVICE_URI_STING);
     }
 
-    /**
-     * @throws java.lang.Exception
-     */
-    @After
-    public void tearDown() throws Exception {
-    }
 
 //******************************************** TESTS**************
     @Test
     public void testGetWebServiceUrlTdwg() throws MalformedURLException, IOException {
         //String webServiceUrl = "http://www.test.de/webservice";
         Set<Distribution> distributions = new HashSet<Distribution>();
-        distributions.add(Distribution.NewInstance(TdwgArea.getAreaByTdwgAbbreviation("SPA"), PresenceTerm.PRESENT()));
-        distributions.add(Distribution.NewInstance(TdwgArea.getAreaByTdwgAbbreviation("GER"), PresenceTerm.INTRODUCED()));
-        distributions.add(Distribution.NewInstance(TdwgArea.getAreaByTdwgAbbreviation("14"), PresenceTerm.CULTIVATED()));
-        distributions.add(Distribution.NewInstance(TdwgArea.getAreaByTdwgAbbreviation("BGM"), AbsenceTerm.ABSENT()));
-        distributions.add(Distribution.NewInstance(TdwgArea.getAreaByTdwgAbbreviation("FRA"), AbsenceTerm.ABSENT()));
-        distributions.add(Distribution.NewInstance(TdwgArea.getAreaByTdwgAbbreviation("IND-AP"), PresenceTerm.PRESENT()));
+        distributions.add(Distribution.NewInstance(termService.getAreaByTdwgAbbreviation("SPA"), PresenceTerm.PRESENT()));
+        distributions.add(Distribution.NewInstance(termService.getAreaByTdwgAbbreviation("GER"), PresenceTerm.INTRODUCED()));
+        distributions.add(Distribution.NewInstance(termService.getAreaByTdwgAbbreviation("14"), PresenceTerm.CULTIVATED()));
+        distributions.add(Distribution.NewInstance(termService.getAreaByTdwgAbbreviation("BGM"), AbsenceTerm.ABSENT()));
+        distributions.add(Distribution.NewInstance(termService.getAreaByTdwgAbbreviation("FRA"), AbsenceTerm.ABSENT()));
+        distributions.add(Distribution.NewInstance(termService.getAreaByTdwgAbbreviation("IND-AP"), PresenceTerm.PRESENT()));
 
         Map<PresenceAbsenceTermBase<?>, Color> presenceAbsenceColorMap = new HashMap<PresenceAbsenceTermBase<?>, Color>();
         presenceAbsenceColorMap.put(PresenceTerm.PRESENT(), Color.BLUE);
@@ -210,7 +200,7 @@ public class EditGeoServiceTest extends CdmIntegrationTest {
         NamedAreaType areaType = NamedAreaType.NATURAL_AREA();
         NamedAreaLevel areaLevel = NamedAreaLevel.NewInstance("Cyprus Division", "Cyprus Division", null);
 
-        TermVocabulary areaVocabulary = TermVocabulary.NewInstance("Cyprus devisions", "Cyprus divisions", null, null);
+        TermVocabulary areaVocabulary = TermVocabulary.NewInstance(TermType.NamedArea, "Cyprus devisions", "Cyprus divisions", null, null);
         areaVocabulary.setUuid(uuidCyprusDivisionsVocabulary);
 
         for(int i = 1; i <= 8; i++){
@@ -267,7 +257,7 @@ public class EditGeoServiceTest extends CdmIntegrationTest {
     @Test
     public void testGetWebServiceUrlBangka() throws ClientProtocolException, IOException, URISyntaxException {
         NamedArea areaBangka = NamedArea.NewInstance("Bangka", "Bangka", null);
-        TermVocabulary<NamedArea> voc = TermVocabulary.NewInstance("test Voc", "test voc", null, null);
+        TermVocabulary<NamedArea> voc = TermVocabulary.NewInstance(TermType.NamedArea, "test Voc", "test voc", null, null);
         voc.addTerm(areaBangka);
 
         GeoServiceArea geoServiceArea = new GeoServiceArea();
